'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _text = require('./text.css');

var _text2 = _interopRequireDefault(_text);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ClassicText = function ClassicText(props) {
  var className = props.className,
      _props$theme = props.theme,
      theme = _props$theme === undefined ? 'light' : _props$theme,
      _props$text = props.text,
      text = _props$text === undefined ? '' : _props$text,
      onTransitionEnd = props.onTransitionEnd,
      _props$onClick = props.onClick,
      onClick = _props$onClick === undefined ? Function.prototype : _props$onClick;


  return _react2.default.createElement(
    'div',
    {
      className: (0, _classnames2.default)(_text2.default.logoContainer, className, _text2.default['logo_' + theme]),
      onClick: onClick,
      onTransitionEnd: onTransitionEnd
    },
    _react2.default.createElement(
      'div',
      { className: _text2.default.logoFront },
      text
    ),
    _react2.default.createElement(
      'div',
      { className: _text2.default.logoBack },
      text
    )
  );
};

exports.default = ClassicText;