'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _BaseTipso = require('../BaseTipso');

var _BaseTipso2 = _interopRequireDefault(_BaseTipso);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Tipso = function Tipso(props) {
  var children = props.children;

  var baseProps = Object.assign({}, props);

  delete baseProps.children;
  return _react2.default.createElement(
    _BaseTipso2.default,
    baseProps,
    children
  );
};

Tipso.propTypes = {
  trigger: _propTypes2.default.string,
  wrapperStyle: _propTypes2.default.object,
  children: _propTypes2.default.oneOfType([_propTypes2.default.node, _propTypes2.default.element, _propTypes2.default.string, _propTypes2.default.array])
};

Tipso.defaultProps = {
  trigger: 'hover',
  wrapperStyle: {},
  children: _react2.default.createElement('div', null)
};

exports.default = Tipso;