'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactPortal = require('react-portal');

var _message = require('./message.css');

var _message2 = _interopRequireDefault(_message);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ShortMessage = function (_React$Component) {
  _inherits(ShortMessage, _React$Component);

  function ShortMessage(props) {
    _classCallCheck(this, ShortMessage);

    var _this = _possibleConstructorReturn(this, (ShortMessage.__proto__ || Object.getPrototypeOf(ShortMessage)).call(this, props));

    _this.state = {
      show: true
    };
    return _this;
  }

  _createClass(ShortMessage, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      this.waitToUnmount();
    }
  }, {
    key: 'shouldComponentUpdate',
    value: function shouldComponentUpdate(nextProps, nextState) {
      var show = this.state.show;

      return show !== nextState.show;
    }
  }, {
    key: 'waitToUnmount',
    value: function waitToUnmount() {
      var _this2 = this;

      setTimeout(function () {
        _this2.setState({
          show: false
        });
      }, this.props.expire);
    }
  }, {
    key: 'render',
    value: function render() {
      var _this3 = this;

      var show = this.state.show;
      var text = this.props.text;

      var messageClass = (0, _classnames2.default)(_message2.default.messageModalWrapper, show && _message2.default.active);

      return _react2.default.createElement(
        _reactPortal.Portal,
        null,
        _react2.default.createElement(
          'div',
          {
            ref: function ref(_ref) {
              return _this3.messageModal = _ref;
            },
            className: messageClass
          },
          text
        )
      );
    }
  }]);

  return ShortMessage;
}(_react2.default.Component);

ShortMessage.propTypes = {
  expire: _propTypes2.default.number,
  text: _propTypes2.default.string
};

ShortMessage.defaultProps = {
  text: 'This is SMS',
  expire: 2000
};

exports.default = ShortMessage;